<form *ngIf="pokemon" (ngSubmit)="onSubmit()" #pokemonForm="ngForm">
  <div class="row">
    <div class="col s8 offset-s2">
      <div class="card-panel">
        <!-- Pokemon name -->
        <div class="form-group">
          <label for="name">Name</label>
          <input type="text" class="from-control" id="name" required
                  pattern="^[a-zA-Z0-9àéèç]{1,25}$"
                  [(ngModel)] = "pokemon.name" name="name"
                  #name="ngModel">
          <div [hidden]="name.valid || name.pristine" class="card-panel red accent-1">
            Le nom du pokémon est requis (1-25).
          </div>
        </div>
        <!-- Pokemon hp -->
        <div class="form-group">
          <label for="hp">Point de vie</label>
          <input type="number" name="hp" id="hp"
                  class="from-control" required
                  pattern="^[0-9]{1,3}$"
                  [(ngModel)]="pokemon.hp"
                  #hp="ngModel">
          <div class="card-panel red accent-1"
                [hidden]="hp.valid || hp.pristine">
            Les points de vie pokémon sont compris entre 0 et 999
          </div>
        </div>
        <!-- Pokemon cp -->
        <div class="form-group">
          <label for="cp">Dégâts</label>
          <input type="number" name="cp" id="cp"
                  class="from-control" required
                  pattern="^[0-9]{1,2}$"
                  [(ngModel)]="pokemon.cp"
                  #cp="ngModel">
          <div class="card-panel red accent-1"
                [hidden]="cp.valid || cp.pristine">
            Les dégâts du pokémon sont compris entre 0 et 99
          </div>
        </div>
        <!-- Pokemon types -->
        <form class="form-group">
          <label for="types">Types</label>
          <p *ngFor="let type of types">
            <label>
              <input type="checkbox"
                      class="filled-in"
                      id="{{ type }}"
                      [value]="type"
                      [checked]="hashType(type)"
                      [disabled]="!isTypesValid(type)"
                      (change)="selectType($event, type)"/>
              <span [attr.for]="type">
                <div class="{{ type | pokemonTypeColor }}"> {{ type }} </div>
              </span>
            </label>
          </p>
        </form>
        <!-- Submit button -->
        <div class="divider"></div>
        <div class="selection center">
          <button type="submit"
                  class="waves-effect waves-light btn"
                  [disabled]="!pokemonForm.form.valid">
                valider
          </button>
        </div>
      </div>
    </div>
  </div>
</form>
<h3 *ngIf="!pokemon" class="center"> <app-loader></app-loader> </h3>
